EDIT - bug #5696

When selecting a new name for a given taxon the name relationships are not updated

04/11/2016 01:18 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal Found in Version:

Description

When selecting a new name via the select name button in taxon/synonym details view the name relationship list is not updated while

the name section is updated.

Maybe also other relationships have the same problem (type desigantions, ... ) but | havn't tested it.

Related issues:

Related to EDIT - bug #5637: Selecting a new name for a taxon does not update... Closed

Associated revisions

Revision cbe745d1 - 02/23/2018 11:54 AM - Katja Luther

fix #5696: updating details view and supplemental data view after choosing a new name

History

#1 - 04/13/2016 12:59 PM - Andreas Miiller
- Target version changed from Unassigned CDM tickets to Release 4.1

- Priority changed from New to Highest

#2 - 05/24/2016 01:30 PM - Andreas Miiller

- Target version changed from Release 4.1 to Release 4.2

#3 - 07/06/2016 03:23 PM - Andreas Miuller

- Target version changed from Release 4.2 to Release 4.3

#4 - 08/18/2016 02:12 PM - Patrick Plitzner
- Description updated
- Target version changed from Release 4.3 to Unassigned CDM tickets

- Parent task set to #4135

#5 - 10/05/2016 12:03 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 4.4

#6 - 12/01/2016 02:44 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#7 - 01/19/2017 01:32 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#8 - 03/10/2017 08:47 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#9 - 04/03/2017 04:02 PM - Katja Luther

- Related to bug #5637: Selecting a new name for a taxon does not update the details view added
#10 - 05/11/2017 11:43 AM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#11 - 07/06/2017 10:29 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#12 - 07/21/2017 10:32 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#13 - 09/24/2017 01:27 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#14 - 11/08/2017 11:21 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#15 - 12/05/2017 02:24 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#16 - 01/31/2018 12:30 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#17 - 02/15/2018 03:25 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#18 - 02/21/2018 01:23 PM - Andreas Miiller
- Description updated

- Assignee changed from Patrick Plitzner to Katja Luther

#19 - 02/21/2018 01:23 PM - Andreas Miiller

- Private changed from Yes to No

#20 - 02/23/2018 11:55 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|cbe745d1268d88505d6bd4e7ad4ec42923c227191.

#21 - 02/23/2018 11:56 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller
please review

#22 - 04/27/2018 10:58 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther

First | still had problems to reproduce the wanted result. However, it looks like this was because | added the new name in parallel. So maybe it does
not work if the new name was very recently edited. But if the new name is safely stored in the DB and only then the taxon that should change the
name is opened and the name changing takes place it looks like everything is finde.

| think we can close the ticket and whenever something does not work 100% correct we should open a new ticket.

#23 - 04/27/2018 10:58 PM - Andreas Miiller

- % Done changed from 50 to 100
